/*
 * Simple digital input/output.
 */

#include <plib.h>
#define LED0     LATGbits.LATG12
#define LED1     LATGbits.LATG13
#define SW       PORTGbits.RG6
#define SYS_FREQ 80000000        // 80 MHz
#define WAIT 10000000

void delay(int n);

int main(void) {

  int i;

  SYSTEMConfig(SYS_FREQ, SYS_CFG_ALL);
  TRISGCLR = 0x3000;

  TRISGSET = 0x0040;
  while(1) {
    while(!SW) {
      while(!SW) {
        LED0 = 0;
        LED1 = 0;       // LED is on
      }
      delay(WAIT);
    }
    LED0 = 1;
    LED1 = 1;           // LED is off
  }
  return 0;
}

void delay(int n) {
  int i;
  for(i = 0; i < n; i++);
}
